Update a specific incident event by id
curl --request PUT \
--url https://api.rootly.com/v1/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_events",
"attributes": {
"event": "<string>",
"visibility": "internal"
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_events",
"attributes": {
"event": "<string>",
"occurred_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "internal"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
incident_event updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_events",
"attributes": {
"event": "<string>",
"visibility": "internal"
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_events",
"attributes": {
"event": "<string>",
"occurred_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "internal"
}
}
}